scim::FilterInfo Struct Reference
IMEngine

Structure to hold information for a Filter. More...

`#include <scim_filter.h>`

## Public Member Functions

| FilterInfo ()
| FilterInfo (const String &u, const String &n=String(""), const String &l=String(""), const String &i=String(""), const String &d=String(""))

## Public Attributes

String | uuid
| The UUID.
String | name
| The localized name, in UTF-8 encoding.
String | langs
| The supported languages, separated by comma.
String | icon
| The icon file path.
String | desc
| The description.

## Detailed Description

Structure to hold information for a Filter.

## Constructor & Destructor Documentation

## FilterInfo() [1/2]

scim::FilterInfo::FilterInfo | ( |  | ) |

inline

## FilterInfo() [2/2]

scim::FilterInfo::FilterInfo | ( | const String & | u,
|  | const String & | n = String (""),
|  | const String & | l = String (""),
|  | const String & | i = String (""),
|  | const String & | d = String ("") )

inline

References desc, icon, langs, name, and uuid.

## Member Data Documentation

## uuid

String scim::FilterInfo::uuid

The UUID.

Referenced by FilterInfo().

## name

String scim::FilterInfo::name

The localized name, in UTF-8 encoding.

Referenced by FilterInfo().

## langs

String scim::FilterInfo::langs

The supported languages, separated by comma.

Referenced by FilterInfo().

## icon

String scim::FilterInfo::icon

The icon file path.

Referenced by FilterInfo().

## desc

String scim::FilterInfo::desc

The description.

Referenced by FilterInfo().

The documentation for this struct was generated from the following file:

- scim_filter.h